<template>
  <v-app>
    <v-app-bar 
      app
      clipped-right
      clipped-left
      dark
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

      <v-toolbar-title class="headline">
        <span v-if="title == ''">
          <span>eco</span>
          <span class="font-weight-light">ROUTES</span>
        </span>
        <span v-if="title != ''">
          {{ title }}
        </span>
      </v-toolbar-title>
      <v-spacer></v-spacer>
    </v-app-bar>

    <v-navigation-drawer
      v-model="drawer"
      app
      clipped
    >
      <v-list
        dense
        nav
      >
        <v-list-item
          link
          :to="{'path': '/'}"
        >
          <v-list-item-action>
            <v-icon>mdi-map</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Map</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item
          link
          :to="{'path': '/team'}"
        >
          <v-list-item-action>
            <v-icon>mdi-account-group</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Team</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-divider></v-divider>

        <v-list-item
          link
          :to="{'path': '/newsletter'}"
        >
          <v-list-item-action>
            <v-icon>mdi-newspaper</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Newsletter</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item
          link
          href="mailto:info@eco-routes.com"
        >
          <v-list-item-action>
            <v-icon>mdi-email</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Get in touch</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-content>
      <v-container
        fluid
        fill-height
      >
        <router-view/>
      </v-container>
    </v-content>

    <v-footer app>
      <span>&copy; 2019</span>
    </v-footer>

    <Notification></Notification>
  </v-app>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';
import { mapState } from 'vuex';

import Notification from '@/components/Notification.vue';

@Component({
  components: {
    Notification,
  },
  computed: mapState([
    'title',
  ]),
})
export default class App extends Vue {
  private drawer = false;
  private items = [
    { title: 'Map', icon: 'mdi-map', link: '/' },
    { title: 'Team', icon: 'mdi-account-group', link: '/team' },
  ];

  public mounted() {
    this.$store.commit('SET_TITLE', '');
  }
}
</script>

<style lang="sass">
  .v-navigation-drawer--is-mobile
    z-index: 100000
</style>
